update lintian overrides
[alioth/cvs.git] / debian / postinst
1 #!/bin/sh
2
3 set -e
4
5 # This maintainer script can be called the following ways:
6 #
7 # * new-postinst "configure" [$most_recently_configured_version]
8 # The package is unpacked; all dependencies are unpacked and, when there
9 # are no circular dependencies, configured.
10 #
11 # * old-postinst "abort-upgrade" $new_version
12 # * conflictors-postinst "abort-remove" "in-favour" $package
13 #       $new_version
14 # * postinst "abort-remove"
15 # * deconfigureds-postinst "abort-deconfigure" "in-favour"
16 #       $failed_install_package $fip_version ["removing"
17 #       $conflicting_package $cp_version]
18 # The package is unpacked; all dependencies are at least Half-Installed,
19 # previously been configured, and not removed. In some error situations,
20 # dependencies may not be even fully unpacked.
21 #
22 # * postinst "triggered" "${triggers[*]}"
23 # For trigger-only calls, i.e. if "configure" is not called.
24
25 # upgrade case from Epoch 1 Debian CVS
26 nukes='/etc/cvs.conf /etc/cvs-cron.conf /etc/cvs-pserver.conf /etc/cron.weekly/cvs /etc/pam.d/cvs'
27 for x in $nukes; do
28         test -e "$x" || continue
29         rm -f $nukes
30         test -x /usr/sbin/update-inetd && update-inetd --remove "^cvspserver"
31         break
32 done
33
34 case $1 in
35 configure)
36         addgroup --force-badname --system _cvsadmin
37         ;;
38
39 abort-upgrade|abort-remove|abort-deconfigure)
40         ;;
41
42 triggered)
43         ;;
44
45 *)
46         echo >&2 "postinst called with unknown subcommand '$1'"
47         exit 1
48         ;;
49 esac
50
51 # dh_installdeb will replace this with shell code automatically
52 # generated by other debhelper scripts.
53
54 #DEBHELPER#
55
56 exit 0